from client import EurekaClient

eureka_client = EurekaClient.EurekaClient("http://eureka-internal.piaoquantv.com")


def _main():
    app_id = "ad"
    app_info = eureka_client.get_apps_info(app_id)
    for datum in app_info['application']['instance']:
        if datum['status'] == 'OUT_OF_SERVICE':
            # print(datum)
            eureka_client.app_instance_up(app_id, datum['instanceId'])


if __name__ == '__main__':
    _main()
